summaryrefslogtreecommitdiffstats
path: root/jack
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-06-24 18:24:09 +0000
committer Eric Hameleers <alien@slackware.com>2007-06-24 18:24:09 +0000
commit76fe0ae04de787e51131b76cc378abac76a5a369 (patch)
tree0af6bdb6435e20338b84a4950d23177f5bdc93cc /jack
parentdab2d177dde9dc532d4e76464b5ed31af06dfd30 (diff)
downloadasb-76fe0ae04de787e51131b76cc378abac76a5a369.tar.gz
asb-76fe0ae04de787e51131b76cc378abac76a5a369.tar.xz
Working SlackBuild version
Diffstat (limited to 'jack')
-rwxr-xr-xjack/build/jack.SlackBuild35
1 files changed, 27 insertions, 8 deletions
diff --git a/jack/build/jack.SlackBuild b/jack/build/jack.SlackBuild
index c4242799..90c86540 100755
--- a/jack/build/jack.SlackBuild
+++ b/jack/build/jack.SlackBuild
@@ -58,7 +58,6 @@ TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Input URL: http://dl.sourceforge.net/jackit/jack-audio-connection-kit-0.103.0.tar.gz
SOURCE="$SRCDIR/${PRGNAM}-audio-connection-kit-${VERSION}.tar.gz"
SRCURL="http://dl.sourceforge.net/${PRGNAM}it/${PRGNAM}-audio-connection-kit-${VERSION}.tar.gz"
@@ -146,6 +145,7 @@ if `file ${SOURCE} | grep -q ": bzip2"`; then
elif `file ${SOURCE} | grep -q ": gzip"`; then
tar -xzvf ${SOURCE}
fi
+mv ${PRGNAM}-audio-connection-kit-${VERSION} ${PRGNAM}-${VERSION}
cd ${PRGNAM}-${VERSION}
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -157,10 +157,19 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--sysconfdir=/etc \
+ --datarootdir=/usr \
+ --datadir=/usr/share \
+ --enable-shared \
+ --enable-static \
+ --enable-optimization-by-compiler \
+ --disable-portaudio \
+ --with-default-tmpdir=/dev/shm \
--program-prefix="" \
--program-suffix="" \
--build=$ARCH-slackware-linux \
2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
+# the above has '--disable-portaudio' because we want the reverse:
+# - add support for jack in portaudio
make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
# Install all the needed stuff to the package dir
@@ -172,6 +181,23 @@ else
make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
fi
+# Remove html API cruft:
+rm -rf $PKG/usr/share
+
+# Create a post installation script:
+mkdir -p $PKG/install
+cat <<EOINS > $PKG/install/doinst.sh
+# Write an entry into fstab for the RAM-based tmpfs that jack wants to
+# see mounted on /dev/shm (for the low-latency!!!).
+if ! grep -q "/dev/shm" etc/fstab ; then
+ echo "# Next line added for jack audio - it will not harm your system" >> etc/fstab
+ echo "none /dev/shm tmpfs defaults 0 0" >> etc/fstab
+fi
+if ! mount | grep -q "/dev/shm" ; then
+ mount /dev/shm 2>/dev/null
+fi
+EOINS
+
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
@@ -180,13 +206,6 @@ chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
- for i in `find $PKG/usr/man -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-fi
-
-# Compress info pages and remove the package's dir file:
-if [ -d $PKG/usr/info ]; then
- rm -rf $PKG/usr/info/dir
- gzip -9f $PKG/usr/info/*.info*
fi
# Strip binaries: